Saxon API for .NET |

# XsltCompiler.Compile Method (Uri)

Compile a stylesheet, retrieving the source using a URI.

public XsltExecutable Compile(
Uri uri
);

#### Parameters

uri
  The URI identifying the location where the stylesheet document can be found

#### Return Value

An `XsltExecutable` which represents the compiled stylesheet object. The XsltExecutable may be run as many times as required, in the same or a different thread. The `XsltExecutable` is not affected by any changes made to the `XsltCompiler` once it has been compiled.

#### Remarks

The document located via the URI is parsed using the `System.Xml` parser. This URI is used as the base URI of the stylesheet: the `BaseUri` property of the `Compiler` is ignored.

#### See Also

XsltCompiler Class | Saxon.Api Namespace | XsltCompiler.Compile Overload List